import { useState, useEffect } from 'react';
import { Keyboard } from 'react-native';

/* eslint-disable no-unused-vars */
var index = (function () {
  var _useState = useState(false),
      visible = _useState[0],
      setVisible = _useState[1];

  function dismiss() {
    Keyboard.dismiss();
    setVisible(false);
  }

  useEffect(function () {
    function onKeyboardDidShow() {
      setVisible(true);
    }

    function onKeyboardDidHide() {
      setVisible(false);
    }

    Keyboard.addListener('keyboardDidShow', onKeyboardDidShow);
    Keyboard.addListener('keyboardDidHide', onKeyboardDidHide);
    return function () {
      Keyboard.removeListener('keyboardDidShow', onKeyboardDidShow);
      Keyboard.removeListener('keyboardDidHide', onKeyboardDidHide);
    };
  }, []);
  return [visible, dismiss];
});

export default index;
//# sourceMappingURL=react-native-hooks-keyboard.esm.js.map
